mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.Parameter, Inherited=false) System.Runtime.InteropServices.ComVisible(true)

You can apply this attribute to parameters.

Optional parameters are not supported by all languages.

Indicates that a parameter is optional.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the OptionalAttribute class with default values.